ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Attributes | List of all members
DENMCodec Class Reference

`#include <DENMCodec.hh>`

Inheritance diagram for DENMCodec:

## Public Member Functions
| DENMCodec ()
virtual | ~DENMCodec ()
virtual int | encode (const DENM__PDU__Descriptions::DENM &denm, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, DENM__PDU__Descriptions::DENM &, Params *params=NULL)
| Encode typed message into an octet string format. More...
Public Member Functions inherited from Codec< DENM__PDU__Descriptions::DENM, DENM__PDU__Descriptions::DENM >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Attributes
DENMPDUCodec | asnCodec

## Additional Inherited Members
Protected Attributes inherited from Codec< DENM__PDU__Descriptions::DENM, DENM__PDU__Descriptions::DENM >
Params * | _params

## Constructor & Destructor Documentation

## ◆ DENMCodec()

DENMCodec::DENMCodec | ( |  | ) |
| inline explicit

## ◆ ~DENMCodec()

virtual DENMCodec::~DENMCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode()

int DENMCodec::decode | ( | const OCTETSTRING & | p_,
|  | DENM__PDU__Descriptions::DENM & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< DENM__PDU__Descriptions::DENM, DENM__PDU__Descriptions::DENM >.

## ◆ encode()

int DENMCodec::encode | ( | const DENM__PDU__Descriptions::DENM & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< DENM__PDU__Descriptions::DENM, DENM__PDU__Descriptions::DENM >.

## Member Data Documentation

## ◆ asnCodec

DENMPDUCodec DENMCodec::asnCodec
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/DENMCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/DENMCodec.cc